<?php
/**
 * The section containing preview of resources
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

?>


<?php
  //https://developer.wordpress.org/reference/functions/get_template_part/#comment-4130
  //  var_dump( $args ); //will display everythin imported from
  //  get_template_part( 'template-parts/section', 'category', array('category_name' => 'news', 'post_per_page' => '3' ) );
  $thiscustomposttype = get_post_type( get_the_ID() );
  $howmanyposts = $args['post_per_page'];
?>
<section class="archive-posts resources">
  <header>
    <h2>
     <?php
       // if ( is_post_type_archive() ):
         post_type_archive_title();
       // else:
       //   echo $thiscustomposttype;
       // endif;
       ?>
     </h2>
  </header>
  <main class="">
    <?php $the_query = new WP_Query(  array( 'post_type' => $thiscustomposttype,  'posts_per_page' => $howmanyposts )  ); ?>
    <?php if ( $the_query->have_posts() ) : ?>
    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
    <article class="">
      <?php if ( has_post_thumbnail() ) :?>
        <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
          <figure style="background-image: url(<?php echo get_the_post_thumbnail_url();?>);">
          </figure>
        </a>
      <?php else :?>
        <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
          <figure style="background-image: url(<?php echo catch_post_first_image();?>);">
          </figure>
        </a>
      <?php endif;?>
      <h5 class="date">
        <?php the_date('Y');?>
      </h5>
      <h3 class="entry-title">
        <a href="<?php the_permalink(); ?>" rel="bookmark">
          <?php the_title(); ?>
        </a>
      </h3>
        <section class="excerpt post-excerpt">
          <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
            <?php the_excerpt() ?>
        </a>
      </section>
    </article>
    <?php endwhile;//end of the loop ?>
    <?php //pagination here ?>
    <?php wp_reset_postdata(); ?>
    <?php else : //if no post in query ?>
    <p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
    <?php endif; ?>
  </main>
  <aside>
    <nav>
      <!--a href="" class="button hollow">see more news</a-->
    </nav>
  </aside>
</section>
